import { JavaObject } from '../../../java/lang/JavaObject';
export declare class KursblockungInputSchueler extends JavaObject {
    enmRevision: number;
    id: number;
    representation: String;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KursblockungInputSchueler;
    static transpilerToJSON(obj: KursblockungInputSchueler): string;
    static transpilerToJSONPatch(obj: Partial<KursblockungInputSchueler>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kursblockung_KursblockungInputSchueler(obj: unknown): KursblockungInputSchueler;
